%define module_name App-nrun
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Date/Format.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(IO/Handle.pm) perl(IO/Select.pm) perl(IPC/Open3.pm) perl(Net/Ping.pm) perl(Socket.pm) perl(YAML.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.1.2
Release: alt2
Summary: run a single command or script on a multiple of target servers
Group: Development/Perl
License: open_source
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TB/TBENK/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
nrun will run a single command or script on a multiple of target servers
synchronously.

the underlying remote access mechanism is exchangeable. as of now, ssh, nsh, rsh
and local execution modes are implemented.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc README LICENSE
%perl_vendor_privlib/N*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
* Sun Oct 29 2017 Igor Vlasenko <viy@altlinux.ru> 1.1.2-alt2
- updated summary

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 1.1.2-alt1
- initial import by package builder

